Close for a day or more
POST
/closed-days
const url = 'https://example.com/closed-days';const options = { method: 'POST', headers: { cookie: 'bottle.session_token=<bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"name":"example","startsOn":"2026-04-15","endsOn":"2026-04-15"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/closed-days \ --header 'Content-Type: application/json' \ --cookie bottle.session_token=<bottle.session_token> \ --data '{ "name": "example", "startsOn": "2026-04-15", "endsOn": "2026-04-15" }'Christmas week, a stocktake, a funeral. No rounds, and nobody on the rota.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
startsOn
required
string format: date
endsOn
required
string format: date
Examplegenerated
{ "name": "example", "startsOn": "2026-04-15", "endsOn": "2026-04-15"}Responses
Section titled “Responses”Closed
Media typeapplication/json
object
id
required
UUID v7
string format: uuid
name
required
string
startsOn
required
string format: date
endsOn
required
string format: date
Example
{ "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}